# Table of contents

* [What is Evidently?](README.md)
* [Installation](get-started/install-evidently.md)
* [Get Started Tutorial](get-started/tutorial.md)
* [Reports](reports/README.md)
  * [Data Drift](reports/data-drift.md)
  * [Data Quality](reports/data-quality.md)
  * [Numerical Target Drift](reports/num-target-drift.md)
  * [Categorical Target Drift](reports/categorical-target-drift.md)
  * [Regression Performance](reports/reg-performance.md)
  * [Classification Performance](reports/classification-performance.md)
  * [Probabilistic Classification Performance](reports/probabilistic-classification-performance.md)
* [Examples](get-started/examples.md)
* [Integrations](integrations/README.md)
  * [Evidently and Grafana](integrations/evidently-and-grafana.md)
  * [Evidently and Airflow](integrations/evidently-and-airflow.md)
  * [Evidently and MLflow](integrations/evidently-and-mlflow.md)

## Features

* [Dashboards](dashboards/README.md)
  * [Input data](dashboards/input_data.md)
  * [Column mapping](dashboards/column_mapping.md)
  * [Generate dashboards](dashboards/generate_dashboards.md)
  * [CLI](dashboards/cli.md)
  * [Colab and other environments](dashboards/notebook_environments.md)
* [Profiling](profiling/README.md)
  * [Input data](profiling/input_data.md)
  * [Column mapping](profiling/column_mapping.md)
  * [Generate profiles](profiling/generate_profiles.md)
  * [CLI](profiling/cli.md)
* [Monitoring](monitoring/README.md)

## User Guide
* [Customization](customization/README.md)
  * [Select Widgets](customization/select-widgets-to-display.md)
  * [Custom Widgets and Tabs](customization/add-a-custom-widget-or-tab.md)
  * [Options for Data / Target drift](customization/options-for-data-target-drift.md)
  * [Options for Quality Metrics](customization/options-for-quality-metrics.md)
  * [Options for Statistical Tests](customization/options-for-statistical-tests.md)
  * [Options for Color Schema](customization/options-for-color-schema.md)
* [Recipes](recipes/README.md)

## SUPPORT

* [Contact](support/contact.md)
* [F.A.Q.](support/f.a.q..md)
* [Telemetry](support/telemetry.md)
* [Changelog](support/changelog.md)

***

* [GitHub Page](https://github.com/evidentlyai/evidently)
* [Website](https://evidentlyai.com)
