---
description: How-to examples.
---

# Recipes

These example notebooks and tutorials answer “how-to” questions. They help solve specific tasks or adapt Evidently to your needs.  

Recipe | Guide | Jupyter notebook | Colab notebook | Data source 
--- | --- | --- | --- | ---
How to customize drift dashboards? (set confidence level, number of bins in a histogram and statistical test) | [docs](../customization/options-for-data-target-drift.md)| [link](../../../examples/how_to_questions/drift_dashboard_with_options_california_housing.ipynb) | [link](https://colab.research.google.com/drive/1roAyq4DdxBSGyzp0XmmH0zqOHso6Fd6y) | California housing sklearn.datasets 
How to add your own widget or create your own report? | [docs](../customization/add-a-custom-widget-or-tab.md)| [link](https://github.com/evidentlyai/evidently/tree/main/examples/how_to_questions/custom_widget_and_tab_example) | [link](https://colab.research.google.com/drive/1ZYhokqQupQVX0n2boRjyr5cpg_WgFJoL) | California housing sklearn.datasets 
How to change classification threshold? How to cut outliers from the histagram plot? How to define the width of confidence interval depicted on plots?|  | [link](quality_metrics_options_wine.ipynb) | [link](https://colab.research.google.com/drive/1W7l3iAILkMti-3qcBLrU5JrW24lSOMR3) | Wine Quality openml
How to specify a color scheme for the Dashboard?|[docs](https://github.com/evidentlyai/evidently/blob/main/docs/book/customization/options-for-color-schema.md)|[link](https://github.com/evidentlyai/evidently/blob/main/examples/how_to_questions/colour_options_data_drift_iris.ipynb) | | Iris plants sklearn.datasets
How to create a text annotation in the Dashboard? | | [link](https://github.com/evidentlyai/evidently/blob/main/examples/how_to_questions/text_widget_usage_iris.ipynb)| |Iris plants sklearn.datasets
How to assign a particular statistical test from the evidently library for a feature or features?|[docs](../customization/options-for-statistical-tests.md)|[link](https://github.com/evidentlyai/evidently/blob/main/examples/how_to_questions/stat_test_specification_for_data_drift_iris.ipynb)| |Iris plants sklearn.datasets
