# How-to notebooks

These examples answer “how-to” questions - they help you to adjust evidently as you need.

How to | Jupyter notebook | Colab notebook | Data source 
--- | --- | --- | --- 
How to customize drift dashboards? (set confidence level, number of bins in a histogram and statistical test) | [link](drift_dashboard_with_options_california_housing.ipynb) | [link](https://colab.research.google.com/drive/1roAyq4DdxBSGyzp0XmmH0zqOHso6Fd6y) | California housing sklearn.datasets 
How to change classification threshold? How to cut outliers from the histagram plot? How to define the width of confidence interval depicted on plots?| [link](quality_metrics_options_wine.ipynb) | [link](https://colab.research.google.com/drive/1W7l3iAILkMti-3qcBLrU5JrW24lSOMR3) | Wine Quality openml
How to add your own widget or create your own report? | [link](custom_widget_and_tab_example/) | [link](https://colab.research.google.com/drive/1ZYhokqQupQVX0n2boRjyr5cpg_WgFJoL) | California housing sklearn.datasets
How to specify a colour scheme for the Dashboard?|[link](colour_options_data_drift_iris.ipynb) | [link](https://colab.research.google.com/drive/1wjEsHHfspk3b4wtYV_rVEo1dkiVEPDTF)| Iris plants sklearn.datasets
How to create a text annotation in the Dashboard? | [link](text_widget_usage_iris.ipynb)| [link](https://colab.research.google.com/drive/1cSXkLLVGJMBR5m_Crf93SsH9Y6K8ztdP)|Iris plants sklearn.datasets
How to assign a particular stattest from the evidently library for a feature or features?|[link](stat_test_specification_for_data_drift_adult.ipynb)| [link](https://colab.research.google.com/drive/1GmJI4_DeFa2N2xcZ2uW9iKS2CFXPBh0D)| Adult Data Set openml


To quickly explore what Evidently can do right out of the box, refer to the [sample notebooks](../sample_notebooks/).

To better understand potential use cases (such as model evaluation and monitoring), refer to the [detailed tutorials](../data_stories/) accompanied by the blog posts.

To see how to integrate Evidently in your prediction pipelines and use it with other tools, refer to the [integrations](../integrations/). 
